### Method

# St Adjustment set_upper

#### Declaration [src]

    void
    st_adjustment_set_upper (
      StAdjustment* adjustment,
      gdouble upper
    )

#### Description [src]

Sets the maximum value of the adjustment.

Note that values will be restricted by `upper - page-size` if the page-size property is nonzero.

See `st_adjustment_set_lower()` about how to compress multiple signal emissions when setting multiple adjustment properties.

Sets property | `St.Adjustment:upper`

#### Parameters

`upper`

  Type: `gdouble`

  The new maximum value.